<!DOCTYPE html>
<html lang="en">
{% load static %}
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
          crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="{% static "jquery.mask.min.js" %}"></script>
</head>
<body>
<div style="text-align: center">
    <h1>Sistema Livraria</h1>
    <h2>Cadastrar Livro</h2>
    <br><br><br>
    <form method="post">
        {% csrf_token %}
        {{ form.as_p }}
        {% if form.errors %}
            {% for field in form %}
                {% for error in field.errors %}
                    <div class="alert alert-danger">
                        <strong>{{ error|escape }}</strong>
                    </div>
                {% endfor %}
            {% endfor %}
            {% for error in form.non_field_errors %}
                <div class="alert alert-danger">
                    <strong>{{ error|escape }}</strong>
                </div>
            {% endfor %}
        {% endif %}
        <button type="submit"> Cadastrar</button>
        <button type="reset"> Limpar</button>
        <button type="button" onclick="window.location='{% url 'home' %}';"> Home</button>
    </form>
</div>
</body>
</html>